<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.communicationEvent.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!communicationEvent.idCommunicationEvent">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="communicationEvent.idCommunicationEvent" readonly />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.communicationEvent.note" for="field_note">Note</label>
                <input type="text" class="form-control" name="note" id="field_note"
                    [(ngModel)]="communicationEvent.note"  />
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.communicationEvent.purpose" for="field_purpose">Purpose</label>
                <select class="form-control" id="field_purpose" name="purpose" [(ngModel)]="communicationEvent.purposeId">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="purposeTypeOption.idPurposeType" *ngFor="let purposeTypeOption of purposes; trackBy: trackPurposeTypeById">{{purposeTypeOption.description}}</option>
                </select>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    